# What is REST 
# What are the constraints for REST
# What is Spring
# What annotation would we use
# Is their any reason why would we use..

# Uniformed interface
# IOC container

# Dependency Container
# Specifically in spring? 
# Bean factory vs Annotation Context
# Spring bean?

# beans scope
# different modules of springs
# Stereotypes we can have for spring
# spring mvc set up

# Spring AOP 
# Uniformed Interface

# getMapping vs requestMapping
# responce entity object
# highlevel what AOP 

# cross c __ ___
# types of advices in AOP

# point cut
# controller vs rest controller

# spring boot
# what is the benifit of using spring boot


# hatios